Bug 1330166 - exporting individual non-yum repos should raise a correct error message
Summary: exporting individual non-yum repos should raise a correct error message
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Inter Satellite Sync
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Chris Duryee
QA Contact: Lukas Pramuk
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-25 13:45 UTC by Lukas Pramuk
Modified: 2019-09-26 14:47 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:51:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 16733 None None None 2016-09-28 19:08:46 UTC

Description Lukas Pramuk 2016-04-25 13:45:34 UTC
Description of problem:
If exporting individual non-yum repos is not yet supported, an attempt to do so should raise a correct error message. It says 100% completed but pulp_export_destination is empty...

Only yum repo export is supported in 6.2. There is a filter to only export yum repos when exporting a CV version, but it looks like the same filter is not on exports of individual repos.

Version-Release number of selected component (if applicable):
@Sat6.2.0-Beta-Snap9

How reproducible:
always

Steps to Reproduce:
1. Create and sync non-yum repo (e.g. docker type)

2. Export the repo
# hammer repository export --id 10
[.........................................................................................................................................................................................................] [100%]
unknown file type: /var/lib/pulp/published/yum/master/group_export_distributor/default_organization-docker-busybox


Actual results:
says 100% completed but nothing has happenned

Expected results:
if not (yet) supported there should be a correct error messaage raised.

Comment 2 Bryan Kearney 2016-09-28 20:15:11 UTC
Upstream bug component is Inter Satellite Sync

Comment 3 Bryan Kearney 2016-09-29 16:16:01 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/16733 has been resolved.

Comment 4 Lukas Pramuk 2017-08-31 11:59:19 UTC
VERIFIED.

@satellite-6.3.0-16.0.beta.el7sat.noarch
katello-3.4.4-2.el7sat.noarch
pulp-server-2.13.3-1.el7sat.noarch

# hammer repository info --id 13
ID:                        13
Name:                      docker repo
Label:                     docker_repo
Organization:              Default Organization
Red Hat Repository:        no
Content Type:              docker
Mirror on Sync:            yes
URL:                       https://registry-1.docker.io/
Publish Via HTTP:          yes
Published At:              <SATFQDN>:5000/default_organization-product-docker_repo
Relative Path:             default_organization-product-docker_repo
Download Policy:           
Upstream Repository Name:  busybox
Container Repository Name: default_organization-product-docker_repo
Product:                   
    ID:   2
    Name: Product
GPG Key:                   

Sync:                      
    Status:         Success
    Last Sync Date: 33 minutes
Created:                   2017/08/31 11:10:02
Updated:                   2017/08/31 11:10:04
Content Counts:            
    Docker Manifests: 100
    Docker Tags:      75

# hammer repository export --id 13
Could not export the repository:
  Repository content type must be 'yum' to export.

>>> correct message has been raised

Comment 5 pm-sat@redhat.com 2018-02-21 16:51:07 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.